原创

PHP 5.2.0版本以上 preg_replace 函数问题

preg_replace — 执行一个正则表达式的搜索和替换。


说明:

mixed preg_replace ( mixed $pattern , mixed $replacement , mixed $subject [, int $limit = -1 [, int &$count ]] )

搜索subject中匹配pattern的部分, 以replacement进行替换。


preg_replace 使用的超过了php5.2默认允许的字节,也就是pcre.backtrack_limit和pcre.recursion_limit的大小的问题。


在php为5.2.0及以上的环境下安装以后会出现白屏的问题

从Discuz!用户的角度考虑,我们需要解决这个问题,下面说下个人的解决方式,希望对大家有些帮助。


此插件在5.5的情况下可以正常运行,但是6.0下出现白屏现象。

通过访问此地址http://bugs.php.net/bug.php?id=39405,发现5.2配置问题在调整大pcre.backtrack_limit和pcre.recursion_limit之后问题解决。


修改此配置如下:

pcre.backtrack_limit=-1 in php.ini

问题即可解决。

关注下方微信公众号“Java精选”(w_z90110),回复关键字领取资料:如HadoopDubboCAS源码等等,免费领取资料视频和项目。 

涵盖:程序人生、搞笑视频、算法与数据结构、黑客技术与网络安全、前端开发、Java、Python、Redis缓存、Spring源码、各大主流框架、Web开发、大数据技术、Storm、Hadoop、MapReduce、Spark、elasticsearch、单点登录统一认证、分布式框架、集群、安卓开发、iOS开发、C/C++、.NET、Linux、Mysql、Oracle、NoSQL非关系型数据库、运维等。

评论

分享:

支付宝

微信